# Uses of Class
javax.management.MBeanServerDelegate

Packages that use MBeanServerDelegate
Package
Description
javax.management
Provides the core classes for the Java Management Extensions.

## Uses of MBeanServerDelegate in javax.management

Methods in javax.management that return MBeanServerDelegate
Modifier and Type
Method
Description
`MBeanServerDelegate`
MBeanServerBuilder.`newMBeanServerDelegate()`
This method creates a new MBeanServerDelegate for a new MBeanServer.
Methods in javax.management with parameters of type MBeanServerDelegate
Modifier and Type
Method
Description
`MBeanServer`
MBeanServerBuilder.`newMBeanServer(String defaultDomain, MBeanServer outer, MBeanServerDelegate delegate)`
This method creates a new MBeanServer implementation object.